package cz.muni.fi.pa165.image;

import cz.muni.fi.pa165.common.BaseObject;
import cz.muni.fi.pa165.movie.Movie;
import jakarta.persistence.*;
import lombok.*;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Entity
public class Image extends BaseObject {

    @Column(nullable = false)
    private String caption;

    @Column(nullable = false)
    private String stringData;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "movie_id", nullable = false)
    private Movie movie;

    @Column(name = "movie_id", insertable = false, updatable = false)
    private Long movieId;

}
