package cz.muni.fi.pa165.movie;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface MovieRepository extends JpaRepository<Movie, Long> {

    /**
     * Returns the {@link Movie} entity with the given title.
     *
     * @param title the title of the movie to retrieve
     * @return the movie with the given title or {@code null} if none found
     */
    Movie findByTitle(String title);
}
