import requests
import json
import random
import threading

recommender_url = "http://localhost:8081/recommender"


def demonstrate_recommender_service(movies, auth_header):
    print("------ getting similar movies -------")
    get_similar_movies(movies[0], auth_header)
    get_similar_movies(movies[1], auth_header)
    get_similar_movies(movies[2], auth_header)


def get_similar_movies(movie, auth_header):
    response = requests.get(f"{recommender_url}/{movie['id']}", headers=auth_header)
    if response.status_code == 200:
        similar_movies = response.json()
        print(f"Similar movies for movie {movie['title']} ({movie['genres']}) are: ")

        for similar_movie in similar_movies:
            print(f"   {similar_movie['title']} ({similar_movie['genres']})")
    else:
        print(f"Error while getting similar movies for movie {movie['title']}.")

