import requests
import json
from user_utils import *
from movie_utils import *
from rating_utils import *
from recommender_utils import *

core_url = "http://localhost:8090"


def main():
    auth_header = get_auth_header()
    clear_db(auth_header)
    users = setup_users(auth_header)
    movies = setup_movies(auth_header)
    setup_ratings(users, movies, auth_header)
    demonstrate_recommender_service(movies, auth_header)


def clear_db(auth_header):
    print("------ clearing DB -------")
    delete_all_ratings(auth_header)
    delete_all_movies(auth_header)
    delete_all_users(auth_header)


def get_auth_header():
    token = input("Please enter your security token: ")
    return {"Authorization": "Bearer " + token}


if __name__ == "__main__":
    main()
